Subject: Re: [PATCH] net: dsa: ksz: Fix port membership

From: Andrew Lunn <[email-masked]>
Date: Fri, 7 Dec 2018 21:05:25 +0100

> I think if you do this without setting offload_fwd_mark you will
> receive duplicate frame.

I don't think it will, at least not in the normal case. The hardware
should know the egress port, so there is no need to forward a copy to
the CPU. The only time it should forward to the CPU is when the egress
port is not known, so it floods. Without offload_fwd_mark set, the SW
bridge will flood it back out the ports causing duplication. But that
is not too bad. The Marvell driver did this for a while and nothing
bad was reported.

    Andrew